Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:     	w3m
Version:  	0.5.2
Release:  	5
Summary:  	A pager with Web browsing abilities
Provides:  	webclient
Provides: 	text-www-browser
Group:    	Internet/Browser
License:  	MIT
URL:      	http://sourceforge.net/projects/w3m/
Source0: 	http://downloads.sourceforge.net/w3m/%{name}-%{version}.tar.gz
Source10:  	w3mconfig
Source14:  	filter-requires-w3m.sh
Patch15:  	w3m-0.4.1-helpcharset.patch
Patch21:  	w3m-0.5.1-gcc4.patch
Patch24:  	w3m-0.5.2-multilib.patch
BuildRoot:     	%{_tmppath}/%{name}-%{version}
BuildRequires:  bzip2 findutils sed ncurses-devel
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig
BuildRequires:  gettext-devel
BuildRequires:  automake
BuildRequires:  gpm
BuildRequires:  gc-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%define		__find_requires %{SOURCE14}
%define 	_use_internal_dependency_generator 0
%define 	with_utf8 1

%description
The w3m program is a pager (or text file viewer) that can also be used
as a text-mode Web browser. W3m features include the following: when
reading an HTML document, you can follow links and view images using
an external image viewer; its internet message mode determines the
type of document from the header; if the Content-Type field of the
document is text/html, the document is displayed as an HTML document;
you can change a URL description like 'http://hogege.net' in plain
text into a link to that URL.
If you want to display the inline images on w3m, you need to install
w3m-img package as well.

%package	img
Summary:	A helper program to display the inline images for w3m
Group:		Internet/Browser
Requires:	ImageMagick
Requires:	w3m = %{version}-%{release}

%description	img
w3m-img package provides a helper program for w3m to display the inline
images on the terminal emulator in X Window System environments and the
linux framebuffer.

%prep
%setup -q
chmod 755 doc
chmod 755 doc-jp

%patch15 -p1
%patch21 -p1
%patch24 -p1

%if %{with_utf8}
pushd doc-jp
for f in * ; do
   case $f in
      README.pre_form | README.tab )
         CHARSET=ISO-2022-JP
         ;;
      keymap.* )
         CHARSET=UTF-8
         ;;
      * )
         CHARSET=EUC-JP
         ;;
    esac
    iconv -f $CHARSET -t UTF-8 $f > $f.tmp && \
      ( touch -r $f $f.tmp ; mv $f.tmp $f ) || rm -f $f.tmp
done
popd
%endif

%build
%configure \
--enable-m17n \
--enable-unicode \
--enable-nls \
--with-editor=/bin/vi \
--with-mailer="gnome-open mailto:%s" \
--with-browser=gnome-open \
--with-charset=UTF-8 \
--with-gc \
--with-termlib=ncurses \
%{?_without_nntp:--disable-nntp} \
%{!?_without_nntp:--enable-nntp} \
%{?_without_gopher:--disable-gopher} \
%{!?_without_gopher:--enable-gopher} \
%{?_without_image:--disable-image} \
%{!?_without_image:--enable-image=x11,fb --with-imagelib=gtk2} \
%{?_with_lynx_keymap:--enable-keymap=lynx} \
%{!?_with_lynx_keymap:--enable-keymap=w3m}

%{__make} # %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/w3m
install -p -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/w3m/config
rm -f doc*/w3m.1

%find_lang w3m

%clean
rm -rf $RPM_BUILD_ROOT

%files -f w3m.lang
%defattr(-, root, root, -)
%doc NEWS
%doc doc
%lang(ja) %doc doc-jp
%{_datadir}/w3m/
%config(noreplace) %{_sysconfdir}/w3m/
%{_bindir}/w3m*
%lang(ja) %{_mandir}/ja/man1/w3m.1*
%{_mandir}/man1/w3m.1*
%{_mandir}/man1/w3mman.1*
%{_libexecdir}/w3m/
%exclude %{_libexecdir}/w3m/w3mimgdisplay

%files img
%defattr(-, root, root)
%{_libexecdir}/w3m/w3mimgdisplay

%changelog
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.5.2-5
- rebuilt against gpm 1.20.5
* Tue Mar 25 2008 Christian Wasem <wasem@ccux-linux.de> 0.5.2-4
- also correcting group in subpackage img to Internet/Browser
* Tue Mar 25 2008 Christian Wasem <wasem@ccux-linux.de> 0.5.2-3
- correcting URL (error in package database)
* Tue Mar 25 2008 Christian Wasem <wasem@ccux-linux.de> 0.5.2-2
- rebuild, optimizing specfile, changed group to Internet/Browser
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.5.2-1
- Initial release
